Bug 22579 - cyrus-imapd-2.0.7-2 does not work with Netscape 4.76
cyrus-imapd-2.0.7-2 does not work with Netscape 4.76
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-20 09:31 EST by Boris Folgmann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Folgmann 2000-12-20 09:31:52 EST
I installed cyrus-imapd-2.0.7-2 from rawhide since bugzilla suggests that
the powertools RPM is unusable ...

Netscape 4.76 can log in to my imap user. As a first test I copied some
local email folders to the imap server, that works too. But when I select a
remote folder I get the following error message:

The current command could not be executed successfully.
Response of the Mail-Server:
Invalid field-name in UID Fetch BODY.PEEK[HERADER.FIELDS

So there seems to be a problem with Netscape's query.
This happens with the precompiled RPM and my own recompiled SRPM.

When connecting with telnet to the imap server I get this suspicious text:

boris@titan redhat$ telnet prox imap
Trying 192.168.41.1...
Negotiating binary mode on output.
Connected to prox.folgmann.de (192.168.41.1).
Escape character is '^]'.
* OK prox.folgmann.de Cyrus IMAP4 v2.0.7 server ready
* BAD Invalid tag

This * BAD thing is not in the documentation!
Now I tested:

bash-2.04$ imtest -m login prox
C: C01 CAPABILITY
S: * OK prox.folgmann.de Cyrus IMAP4 v2.0.7 server ready
S: * CAPABILITY IMAP4 IMAP4rev1 ACL QUOTA LITERAL+ NAMESPACE UIDPLUS
NO_ATOMIC_RENAME UNSELECT MULTIAPPEND ID SORT THREAD=ORDEREDSUBJECT
AUTH=DIGEST-MD5 AUTH=CRAM-MD5 X-NETSCAPE
S: C01 OK Completed
Password: 
+ go ahead
L01 OK User logged in
Authenticated.
Security strength factor: 0

* BAD Invalid tag

Here * BAD is printed on the screen when I press return, but during the
telnet I did not press return.

So what is responsible for the problem? imapd or Netscape?
Comment 1 Nalin Dahyabhai 2001-01-15 21:53:26 EST
I'd suspect Netscape.  First, try using 'nc' to make the connection.  If for
some reason the telnet client is attempting to negotiate telnet options with the
IMAP server (which it shouldn't, and usually doesn't), this might be causing
spurious BAD message.
Comment 2 David Lawrence 2003-05-16 12:50:31 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.